> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/zagruzka-failov-cherez-geopard-api.md).

# Загрузка файлов через GeoPard API

{% hint style="success" %}
Рекомендуемый способ для файлов размером более 6 МБ — это [поток предварительно подписанного URL](/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-geopard-api/55.-zagruzka-zip-failov-bolee-6-mb.md).
{% endhint %}

GeoPard API позволяет загружать zip-архивы с наборами данных по почве/урожайности/внесённым материалам/границам для дальнейшей обработки и аналитики.

{% hint style="danger" %}
Из-за ограничения AWS максимальный размер файла, который можно загрузить через этот REST-эндпоинт, составляет 6 МБ.
{% endhint %}

Шаги загрузки файлов более 6 МБ описаны в [Загрузка zip-файлов (более 6 МБ)](/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-geopard-api/55.-zagruzka-zip-failov-bolee-6-mb.md).

Сразу после успешной загрузки набора данных по почве/урожайности/внесённым материалам движок GeoPard связывает его с соответствующими полями, расположенными внутри определённого хозяйства.

Сразу после успешной загрузки границы движок GeoPard запускает её обработку.

Ответ содержит `<uuid>` который можно использовать для отслеживания статуса обработки.

#### Пример запроса:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Параметры:

1. `<type>` - тип загружаемого набора данных. Он должен быть `урожайность` ИЛИ `почва` ИЛИ `внесённые материалы` ИЛИ `граница`.
2. `<farm_uuid>` - `uuid` хозяйства, в которое будет загружен файл (необязательно).
3. `<token>` - токен доступа GeoPard.
4. `@path/to/file.zip` - путь к загружаемому файлу.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/zagruzka-failov-cherez-geopard-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
